# Unbounded_Set.h File Reference

`#include "ace/Node.h"`
`#include "ace/os_include/os_stddef.h"`
`#include "ace/Unbounded_Set.inl"`
`#include "ace/Unbounded_Set.cpp"`

Include dependency graph for Unbounded_Set.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Unbounded_Set_Iterator< T >
| Implement an iterator over an unbounded set. More...
class | ACE_Unbounded_Set_Const_Iterator< T >
| Implement an const iterator over an unbounded set. More...
class | ACE_Unbounded_Set< T >
| Implement a simple unordered set of <t> of unbounded size. More...

## Detailed Description

Id
  Unbounded_Set.h,v 4.17 2006/02/10 10:33:16 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>